Bug 729331 - clean up matahari log messages
Summary: clean up matahari log messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andrew Beekhof
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 14:29 UTC by Dave Johnson
Modified: 2011-12-06 11:39 UTC (History)
4 users (show)

Fixed In Version: matahari-0.4.2-5.el6
Doc Type: Bug Fix
Doc Text:
No description needed
Clone Of:
Environment:
Last Closed: 2011-12-06 11:39:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1569 normal SHIPPED_LIVE matahari bug fix and enhancement update 2011-12-06 00:39:06 UTC

Description Dave Johnson 2011-08-09 14:29:09 UTC
Description of problem:
========================
During yesterday's status call, the team discussed the need to clean up the log messages to ensure they clear and relevant to end users.  

1)  As of today (see below), some of the logs contain c++ prototypes(?) and others contain pretty verbose qpid related info.  

Aug  8 16:41:42 ibm-hs21-03 service[11190]: mainloop_qmf_t* mainloop_add_qmf(int, qmf::AgentSession, gboolean (*)(qmf::AgentSession, qmf::AgentEvent, void*), void (*)(void*), void*): Added source: 1
Aug  8 16:44:32 ibm-hs21-03 matahari-brokerd[10926]: 2011-08-08 16:44:32 info Queue "qmf.default.topic_182f2019-bc69-4c83-8318-651e3f116b19": Policy created: type=reject; maxCount=0; maxSize=104857600

2)  There was something mentioned about whether we needed to be printing out info related messages or only warn and above

3)  Something I just noticed was log messages from the agent looks like the following, should agent messages be prefaced with "matahari-"?  Like service be matahari-service?  
    Aug  8 16:45:35 hp-dl2x170g6-02 host[11848]: ....
    Aug  8 16:45:35 hp-dl2x170g6-02 service[11218]: ....
    Aug  8 10:17:32 hp-dl2x170g6-02 Network[11604]: ....
    Aug  8 10:17:48 hp-dl2x170g6-02 Sysconfig[11613]: ....
    Aug  8 10:17:57 hp-dl2x170g6-02 matahari-brokerd[11573]: ....

Comment 2 Andrew Beekhof 2011-08-11 01:28:15 UTC
A related patch has been committed upstream: https://github.com/beekhof/matahari/commit/3483799

Comment 3 Andrew Beekhof 2011-08-11 02:11:29 UTC
A related patch has been committed upstream: https://github.com/beekhof/matahari/commit/59ae1c8

Comment 4 Andrew Beekhof 2011-08-11 02:11:42 UTC
A related patch has been committed upstream: https://github.com/beekhof/matahari/commit/b5728dd

Comment 5 Andrew Beekhof 2011-08-11 02:12:28 UTC
The qpid info comes from their libraries - you'd need to create a bug against qpid-cpp for that.
The rest are resolved by the above patches.

Comment 7 Dave Johnson 2011-09-09 20:23:03 UTC
good 2 go in v0.4.2-2

Comment 8 Russell Bryant 2011-11-16 21:36:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description needed

Comment 9 errata-xmlrpc 2011-12-06 11:39:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html


Note You need to log in before you can comment on or make changes to this bug.